<?PHP


/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=membergroups.details.inc.php
Version=1.1
Updated=2007-jun-23
Type=Plugin
Author=Oficina dos Bytes
Description=http://www.oficinadosbytes.com
[END_SED]

==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }

$g = sed_import('g','G','INT');
$u = sed_import('u','G','INT');

$sql_grp = sed_sql_query("SELECT g.*, u.user_name AS owner_name, u.user_id AS owner_id
	FROM $db_membergroups as g
	LEFT JOIN $db_users AS u ON u.user_id=g.grp_ownerid
	WHERE g.grp_id='$g'");

if(sed_sql_numrows($sql_grp)==0) { die(''); }
$grp = sed_sql_fetcharray($sql_grp);

$membergroup_isadmin = ($usr['isadmin'] || ($usr['id']==$grp['owner_id'] && $usr['id']!=0));
if (!$membergroup_isadmin)	{ sed_die(); }

if ($n=='manage' && $membergroup_isadmin && $a=='remove')
	{
	$sql = sed_sql_query("DELETE FROM $db_membergroups_users WHERE gru_userid='$u' AND gru_groupid='$g'");
	$sql = sed_sql_query("UPDATE $db_membergroups SET grp_memberscount=grp_memberscount-1 WHERE grp_id='$g'");
	header("Location: plug.php?e=membergroups&m=details&g=$g");
	exit;
	}

if ($membergroup_isadmin)
	{
	$sql = sed_sql_query("SELECT l.*, u.*
		FROM $db_membergroups_users AS l
		LEFT JOIN $db_users AS u ON u.user_id=l.gru_userid
		WHERE gru_groupid='".$grp['grp_id']."'
		ORDER BY u.user_name ASC");
	}
else
	{
	$sql = sed_sql_query("SELECT l.*, u.*
		FROM $db_membergroups_users AS l
		LEFT JOIN $db_users AS u ON u.user_id=l.gru_userid
		WHERE gru_groupid='".$grp['grp_id']."'
		ORDER BY u.user_name ASC");
	}

$grp['grp_title'] = sed_cc($grp['grp_title']);
$grp['grp_icon'] = (!empty($grp['grp_icon'])) ? "<img src=\"".$grp['grp_icon']."\" alt=\"\" />" : '';

$mskin = "plugins/membergroups/tpl/membergroups.details.tpl";

$t = new XTemplate($mskin);

$t-> assign(array(
	"GROUPS_DETAILS_GRP_SUBTITLE" => $L['grd_subtitle'],
	"GROUPS_DETAILS_GRP_ID" => $grp['grp_id'],
	"GROUPS_DETAILS_GRP_GROUPID" => $grp['grp_groupid'],
	"GROUPS_DETAILS_GRP_GROUP" => "<a href=\"plug.php?e=membergroups&m=details&amp;g=".$grp['grp_id']."\">".$grp['grp_title']."</a>",
	"GROUPS_DETAILS_GRP_OWNERID" => $grp['owner_id'],
	"GROUPS_DETAILS_GRP_OWNER" => sed_build_user($grp['owner_id'], sed_cc($grp['owner_name'])),
	"GROUPS_DETAILS_GRP_TITLE" => "<a href=\"plug.php?e=membergroups\">".$L['Groups']."</a> ".$cfg['separator']." <a href=\"plug.php?e=membergroups&m=details&amp;g=".$grp['grp_id']."\">".$grp['grp_title']."</a>",
	"GROUPS_DETAILS_GRP_DESC" => sed_cc($grp['grp_desc']),
	"GROUPS_DETAILS_GRP_MEMBERSCOUNT" => $grp['grp_memberscount']." ".strtolower($L['members']),
		));

if ($membergroup_isadmin && $usr['level']>=$cfg['membergroupsminlevel'])
   {
	$t-> assign(array(
		"GROUPS_DETAILS_ADMIN_EDIT" => "<a href=\"plug.php?e=membergroups&m=edit&amp;g=".$grp['grp_id']."\">".$L['Edit']."</a>",
		"GROUPS_DETAILS_ADMIN_ADDUSER" => "<a href=\"plug.php?e=membergroups&m=adduser&amp;g=".$grp['grp_id']."\">".$L['grp_addmember']."</a>"
		));
	$t->parse("MAIN.GROUPS_DETAILS_ADMIN");
	}

while ($mem = sed_sql_fetcharray($sql))
	{
	$mem['membericon'] = 'skins/'.$skin.'/img/system/';
	$mem['memberaction'] = '&nbsp;';
	$mem['urlremove'] = "<a href=\"plug.php?e=membergroups&m=details&amp;n=manage&amp;a=remove&amp;g=".$grp['grp_id']."&amp;u=".$mem['user_id']."&amp;".sed_xg()."\"><img src=\"skins/".$skin."/img/system/groups-remove.gif\" alt=\"".$L['grd_user_remove']."\" /></a>";
	$mem['urledit'] = "<a href=\"plug.php?e=membergroups&m=edituser&amp;g=".$grp['grp_id']."&amp;u=".$mem['user_id']."&amp;".sed_xg()."\"><img src=\"skins/".$skin."/img/system/groups-edit.gif\" alt=\"".$L['grd_user_edit']."\" /></a>";
	$mem['memberaction'] .= ($membergroup_isadmin || $membergroup_ishelper) ? $mem['urledit']." " : '';


	if ($mem['user_id']==$grp['grp_ownerid'])
		{
		$mem['membericon'] .= 'groups-owner.gif';
		$mem['memberstatus'] = $L['grp_userstatus_owner'];
		}
	else
		{
		$mem['membericon'] .= 'groups-member.gif';
		$mem['memberstatus'] = $groups_userstatus[0];
		}

	if ($membergroup_isadmin)
			{
			$mem['memberaction'] .= ($mem['gru_state']==1) ? $mem['urlaccept']." ".$mem['urlreject'] : $mem['urlremove'];
			}


	$t-> assign(array(
		"GROUPS_DETAILS_ROW_ID" => $mem['user_id'],
		"GROUPS_DETAILS_ROW_USERICON" =>"<img src=\"".$mem['membericon']."\" alt=\"\" />",
		"GROUPS_DETAILS_ROW_USER" => sed_build_user($mem['user_id'], sed_cc($mem['user_name'])),
		"GROUPS_DETAILS_ROW_ACTION" => $mem['memberaction'],
		"GROUPS_DETAILS_ROW_GRPEXTRA1" => sed_parse($mem['gru_extra1'], 1, 0, 1),
		"GROUPS_DETAILS_ROW_PM" => sed_build_pm($mem['user_id']),
		));

	$t->parse("MAIN.ROW");
	}

if (sed_sql_numrows($sql)==0)
	{
	$t-> assign(array(
		"GROUP_NOMEMBERS" => $L['nomembers'],
	));
	$t->parse("MAIN.ROW_EMPTY");
	}

?>
